@import "vendors/bootstrap/functions";
@import "vendors/bootstrap/variables";
@import "vendors/bootstrap/mixins";
@import 'vendors/_slick';
@import 'base/functions';
@import 'base/mixins';
@import 'bootstrap-custom';

html {
  font-size: 16px;

  @media (max-width: 540px) {
	font-size: 14px;
  }
}

.wrapper {
  overflow: hidden;
}

.page-header {
  background-color: $black;
}

.logo {
  text-transform: uppercase;
  font: 700 $logo-font $Raleway;

  span {
	color: $orange;
	font: 400 $logo-font $Raleway;
  }
}

.template-wrapper {
  background: url("../images/main_bg.png") 0 0;
  background-size: cover;
  padding: 6.875rem 0 8.6875rem;
  @media (max-width: 576px) {
	padding: 2.875rem .75rem 3.6875rem;
  }
}

.text-part {
  font: 300 $desc-font $Raleway;
  color: $white;
  font-size: 1rem;
  line-height: 1.438;
  max-width: 32.5rem;

  header {
	text-transform: uppercase;
	font: 400 $subheader-font $Raleway;
	color: $white;

	h1 {
	  color: $white;
	  text-transform: uppercase;
	  font: 700 $page-header-font $Raleway;

	  span {
		color: $orange;
		font: 400 $page-header-font $Raleway;
	  }
	}

	p {
	  opacity: 1;
	}

	&:after {
	  content: '';
	  display: block;
	  border: 2px solid $white;
	  width: 4.625rem;
	  margin: 2.25rem 0;
	}
  }

  p {
	opacity: .5;
	margin-bottom: 2.75rem;
  }
}

.navbar-collapse {
  @media (max-width: 992px) {
	position: absolute;
	right: 0;
	top: 3rem;
  }

  .nav-item {
	@media (max-width: 992px) {
	  position: relative;
	  border: 1px solid $gray-400;
	  background: rgba(50, 50, 50, .7);
	  &:hover {
		background: rgba(50, 50, 50, .95);
	  }
	}
  }

  .nav-link {
	color: $white;
	position: relative;
	@media (max-width: 992px) {

	}
	&:after {
	  display: block;
	  position: absolute;
	  content: '';
	  border-top: 2px solid $white;
	  width: 0;
	  transition: all .5s;
	}
	@media (min-width: 992px) {
	  &:hover {
		&:after {
		  width: 80%;
		}
	  }
	}

	@media (max-width: 992px) {
	  width: 100%;
	  height: 100%;
	  padding: .5rem 2rem;
	  display: block;
	}
  }
}

.subscribe-form {
  background-color: $white;
  border-radius: 5px;
  overflow: hidden;

  legend {
	color: $gray-500;
	font: 700 $form-header-font $OpenSans;
	background-color: $gray-100;
	line-height: 2.7;
	text-align: center;

	span {
	  text-transform: uppercase;
	  color: $orange;
	}
  }

  @media (max-width: 992px) {
	margin: 0 auto;
  }
}

.form-input {
  padding: 0 0.8125rem;
  border: none;
  border-bottom: 1px solid $gray-300;
  line-height: 2;
  &:focus {
	outline: none;
  }
  &::placeholder {
	font: 400 $base-font $OpenSans;
	color: $gray-300;
	line-height: 2;
  }
}

.subscribe-input {
  margin-bottom: 2.25rem;
  width: 17.8125rem;
  &:last-child {
	margin-bottom: 0;
  }
}

.subscribe-input-wrapper {
  padding: 2rem 2.5rem 3rem;
}

.socials-container {
  padding: 1.375rem 0;
  @media (max-width: 576px) {
	padding: 1.375rem .75rem;
  }
}

.socials-list {

  &-footer {
	margin-bottom: .9375rem;
  }
}

.socials-desc {
  font: 400 $base-font $OpenSans;
  color: $gray-400;
  line-height: 1.429;
  max-width: 22.5rem;

  header {
	font: 700 $form-header-font $OpenSans;
	color: $gray-500;
  }

  p {
	margin-bottom: 0;
  }
}

.social-item {
  margin-right: 5rem;
  &:last-child {
	margin-right: 1rem;
  }

  a {
	font-size: 3rem;
	color: $gray-200;
	&:hover {
	  color: $gray-500;
	  transition: all .5s;
	}
  }

  &-footer {
	margin-right: 2rem;
	&:last-child {
	  margin-right: 0;
	}

	a {
	  font-size: 1.5rem;
	  &:hover {
		color: $gray-300;

		i {
		  transition: all .5s;
		  transform: rotate(25deg) scale(1.3);
		}
	  }
	}
  }

  @media(max-width: 992px) {
	margin-right: 1rem;
	a {
	  font-size: 2rem;
	}
  }
  @media(max-width: 576px) {

  }
}

.tabs-section {
  padding: 9.1875rem 0 7.125rem;
  background-color: $gray-100;
  @media (max-width: 992px) {
	padding: 5rem 0 5rem;
  }
}

.tabs-list {
  margin-right: 4rem;
  @media(max-width: 992px) {
	margin: 0;
  }
}

.tab-content-wrapper {
  @media (max-width: 768px) {
	flex-wrap: wrap;
  }
}

.tab-text-part {
  font: 400 $base-font $OpenSans;
  color: $gray-400;
  line-height: 1.429;

  header {
	font: 700 $form-header-font $OpenSans;
	color: $black;
	margin-bottom: 3.25rem;
  }

  p {
	&:last-of-type {
	  margin-bottom: 3.25rem;
	}
  }
}

.img-wrapper-city {
  max-width: 20rem;
}

.tab-img {
  opacity: 0;

  &-reverse {
	width: 100%;
	height: 0;
	transform: rotate(180deg);
	max-height: 125px;
  }
}

.show {

  .tab-img {
	position: relative;
	opacity: 1;
	transition: all 5s;
	&-reverse {

	  opacity: .3;
	  height: 100%;
	  &:hover {
		height: auto;
		transform: rotate(180deg);
		opacity: .3;
	  }
	}
  }
}

.sub-list-section, .picture-section {
  padding: 6.6875rem 0 8.3125rem;

  h2 {
	font: 700 $form-header-font $OpenSans;
	color: $gray-600;

	&:after {
	  content: '';
	  display: block;
	  border: 2px solid $orange;
	  width: 4rem;
	  margin: 1.875rem 0;
	}
  }
}

.picture-section {
  background-color: $gray-100;
}

.sub-text-part, .picture-text-part {
  font: 400 $base-font $OpenSans;
  color: $gray-400;
  line-height: 1.429;

  p {
	&:last-of-type {
	  margin-bottom: 2.875rem;
	}
  }
}

.sub-list {
  list-style: none;
}

.sub-item {
  margin-bottom: 2.625rem;

  &:before {
	content: "\f15c";
	font-family: "Font Awesome 5 Free";
	color: $orange;
	font-size: 1rem;
	float: left;
	border: 1px solid $orange;
	width: 2rem;
	height: 2rem;
	border-radius: 50%;
	display: inline-block;
	line-height: 2rem;
	text-align: center;
	margin-right: 0.5rem;
  }

  header {
	font: 600 $base-font $OpenSans;
	color: $gray-600;
	line-height: 1.214;
	margin-bottom: 0.75rem;
  }

  &:last-child {
	margin-bottom: 0;
  }

  p {
	margin-bottom: 0;
	&:last-of-type {
	  margin-bottom: 0;
	}
  }
}

.item-content {
  padding-left: 4.5rem;
}

.features-section, .price-section, .feedback-section, .design-section, .form-section {

  h2 {
	text-transform: uppercase;
	font: 400 $subheader-font $Raleway;
	color: $gray-600;
	line-height: 1.194;
	text-align: center;

	&:after {
	  content: '';
	  display: block;
	  border: 2px solid $orange;
	  width: 4rem;
	  margin: 1.875rem auto;
	}
  }

  header {
	text-align: center;
	font: 400 $base-font $OpenSans;
	color: $gray-400;
	line-height: 1.429;
	margin-bottom: 5rem;
  }

  .slide-header {
	font: 700 $form-header-font $OpenSans;
	color: $gray-500;
	line-height: 1.2;
	margin-bottom: 1.5625rem;
  }
}

.features-section {
  padding: 6.75rem 0 6.5625rem;
}

.features-slider {
  .slick-track {
	//margin: 0 -15px;
  }
}

.features-slider-item {
  font: 400 $base-font $OpenSans;
  color: $gray-400;
  line-height: 1.429;
}

.slider-icon {
  color: $orange;
  font-size: 2rem;
  border: 2px solid $orange;
  width: 4.375rem;
  height: 4.375rem;
  border-radius: 50%;
  text-align: center;
  padding-top: 1.1875rem;
  margin-bottom: 1.812rem;
}

.price-list {
  @media (max-width: 576px) {
	max-width: 320px;
  }
}

.price-section {
  background-color: $gray-100;
  padding: 6.75rem 0 6rem;
}

.price-item {
  color: $white;
  text-align: center;
  background-color: $gray-500;
  border-bottom: 1px solid $white;

  &:last-child {
	border-bottom: 0;
  }
}

.price-item-name {
  font: 700 $form-header-font $OpenSans;
  font-size: 1.25rem;
  line-height: 2.2;
}

.price-item-duration {
  font: 600 $base-font $OpenSans;
  border-bottom: 0;
  line-height: 3;

  span {
	opacity: .5;
  }
}

.price-item-price {

  .sign {
	font: 700 $sign-font $Raleway;
	line-height: 0.686;
  }

  .price {
	font: 700 $price-font $Raleway;
	line-height: 1.05;
  }
}

.price-item-desc {
  font: 700 $base-font $OpenSans;
  border: 2px solid $orange;
  background-color: $orange;
  text-transform: uppercase;
  line-height: 2;
}

.info-item {
  font: 400 $base-font $OpenSans;
  color: $gray-400;
  line-height: 2.714;
  text-transform: uppercase;
  background-color: $white;
  border-bottom: 1px solid $gray-100;
}

.feedback-section {
  padding: 6.75rem 0 6.3125rem;
}

.feedback-slider {
  .slick-track {
	display: flex;
	justify-content: space-between;
  }
}

.feedback-slider-item {
  max-width: 17.125rem;
  text-align: left;
}

.text-wrapper {
  text-align: left;
  font: 400 $base-font $OpenSans;
  color: $gray-400;
  font-style: italic;
  background-color: $gray-100;
  padding: 1.5rem 0.75rem;
  margin-bottom: 2rem;

  &:after {
	content: '';
	position: absolute;
	bottom: -1.5rem;
	left: 1.25rem;
	width: 0;
	height: 0;
	border-left: 1rem solid transparent;
	border-right: 1rem solid transparent;
	border-top: 1.5rem solid $gray-100;
  }
}

.user-info {
  margin-left: 1rem;
  padding: 1rem 0;
  text-align: left;

  span {
	display: block;
  }

  .name {
	font: 700 $form-header-font $OpenSans;
	color: $gray-500;
  }

  .position {
	font: 400 $base-font $OpenSans;
	color: $gray-400;
  }
}

.design-section {
  padding: 4.625rem 0 4rem;
  background: url("../images/footer_bg.png") 0 0;
  background-size: cover;
  color: $white;

  header {
	margin-bottom: 2rem;
  }

  h2 {
	color: $white;
	&:after {
	  border-color: $white;
	}
  }
}

.download-btn {
  padding: .75rem 2rem;
  font: 400 .938rem $OpenSans;
}

.form-section {
  padding: 6.75rem 0 5rem;

  header {
	margin-bottom: 5rem;
  }
}

.right-side, .left-side {
  width: 47%;
  @media (max-width: 576px) {
	width: 100%;
  }
}

.message-input {
  margin-bottom: 1.875rem;
  &:last-child {
	margin-bottom: 0;
  }
}

.form-textarea {
  padding: 0 0.8125rem;
  border: none;
  border-bottom: 1px solid $gray-300;
  resize: none;
  &:focus {
	outline: none;
  }
  &::placeholder {
	font: 400 $base-font $OpenSans;
	color: $gray-300;
	line-height: 2;
  }

  @media (max-width: 576px) {
	min-height: 5rem;
  }
}

.feedback-btn {
  margin: 2.625rem auto 0;
}

.page-footer {
  padding: 1.25rem 0 1rem;
  background-color: $black;
  color: rgba(255, 255, 255, .5);
  font: 400 $text-font $OpenSans;
}
